diff --git a/pgadmin/db/pgConn.cpp b/pgadmin/db/pgConn.cpp
index 1a4d48e..679411f 100644
--- a/pgadmin/db/pgConn.cpp
+++ b/pgadmin/db/pgConn.cpp
@@ -517,7 +517,10 @@ bool pgConn::HasFeature(int featureNo, bool forceCheck)
 		}
 
 		// Check for EDB function parameter default support
-		wxString defCol = EdbMinimumVersion(8, 4) ? wxT("'proargdefaults'") : wxT("'proargdefvals'");
+		wxString defCol = wxT("'proargdefaults'");
+
+		if (EdbMinimumVersion(8, 3) && !EdbMinimumVersion(8, 4))
+			defCol = wxT("'proargdefvals'");
 
 		wxString hasFuncDefs = ExecuteScalar(wxT("SELECT count(*) FROM pg_attribute WHERE attrelid = 'pg_catalog.pg_proc'::regclass AND attname = ") + defCol);
 		if (hasFuncDefs == wxT("1"))
